Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 552500 - app-eselect/eselect-wxwidgets-20140423: does not respect libdir
Summary: app-eselect/eselect-wxwidgets-20140423: does not respect libdir
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo wxWidgets Herd
URL:
Whiteboard:
Keywords:
: 646728 662914 (view as bug list)
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2015-06-18 21:23 UTC by Michał Górny
Modified: 2018-08-30 17:00 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
eselect-wxwidgets-20140423.ebuild (eselect-wxwidgets-20140423.ebuild,1.55 KB, text/plain)
2018-01-29 01:31 UTC, cyrillic
Details
Patch for wxwidgets.eselect (wxwidgets.eselect.patch,1.73 KB, patch)
2018-05-27 10:41 UTC, Ulrich Müller
Details | Diff
Updated patch for wxwidgets.eselect, to be used with >=app-admin/eselect-1.4.13 (wxwidgets.eselect.patch,1.33 KB, patch)
2018-05-29 17:17 UTC, Ulrich Müller
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-06-18 21:23:26 UTC
WXCONFFILE="${EROOT}"/var/lib/wxwidgets/current
WXCONFDIR="${EROOT}"/usr/lib/wx/config

which means it all falls apart when /usr/lib isn't the native libdir (or the creepy old amd64 profile symlink).
Comment 1 Kent Fredric (IRC: kent\n) gentoo-dev 2018-01-21 06:47:10 UTC
This becomes much more of a problem once one switches to the new 17.1 profile, where wxGTK installs to /usr/lib64, resulting in eselect wxwidgets list listing no wxwidgets profiles.

( And subsequently, all consumers of wx-config are broken )
Comment 2 cyrillic 2018-01-29 01:31:18 UTC
Created attachment 517028 [details]
eselect-wxwidgets-20140423.ebuild

I encountered the same problem when I switched to a 2017.1 profile.
Here is how I fixed it :
Comment 3 Arfrever Frehtes Taifersar Arahesis 2018-02-06 17:13:58 UTC
*** Bug 646728 has been marked as a duplicate of this bug. ***
Comment 4 Ulrich Müller gentoo-dev 2018-05-27 10:41:40 UTC
Created attachment 533498 [details, diff]
Patch for wxwidgets.eselect

Please test if attached patch for wxwidgets.eselect fixes the problem.

For simplicity of testing, I have added a get_libdir function directly to the module. The plan would be to add this function to eselect's package-manager lib instead, and make a new eselect release.
Comment 5 Ulrich Müller gentoo-dev 2018-05-29 17:17:23 UTC
Created attachment 534030 [details, diff]
Updated patch for wxwidgets.eselect, to be used with >=app-admin/eselect-1.4.13

Updated patch.
Please test with >=app-admin/eselect-1.4.13 (which provides a get_libdir() function).
Comment 6 Mart Raudsepp gentoo-dev 2018-08-06 15:28:49 UTC
*** Bug 662914 has been marked as a duplicate of this bug. ***
Comment 7 Andrey Hippo 2018-08-22 00:04:34 UTC
Hit the same issue on default/linux/amd64/17.1/no-multilib profile.
The patch in attachment 534030 [details, diff] fixes the problem for me.
However, it requires eselect-1.4.13, which is still ~amd64.
Comment 8 Larry the Git Cow gentoo-dev 2018-08-30 17:00:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a6f2b9a1265e6bb17a5571319f92043101df5fd

commit 9a6f2b9a1265e6bb17a5571319f92043101df5fd
Author:     Ulrich Müller <ulm@gentoo.org>
AuthorDate: 2018-08-30 17:00:11 +0000
Commit:     Ulrich Müller <ulm@gentoo.org>
CommitDate: 2018-08-30 17:00:40 +0000

    app-eselect/eselect-wxwidgets: Fix libdir usage.
    
    Non-maintainer commit, acked by leio.
    
    Closes: https://bugs.gentoo.org/552500
    Package-Manager: Portage-2.3.48, Repoman-2.3.10

 app-eselect/eselect-wxwidgets/Manifest             |  1 +
 .../eselect-wxwidgets-20180529.ebuild              | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)